# Retrieve an account Retrieve the details of a specific Account object. Endpoint: GET /object-query/accounts/{key} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `key` (string, required) Object ID or Number. ## Query parameters: - `pageSize` (integer) The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error. - `cursor` (string) A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list. - `sort[]` (array) A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored. - `expand[]` (array) Allows you to expand responses by including related object information in a single call. Enum: "billto", "soldto", "shipto", "defaultpaymentmethod", "subscriptions", "payments", "refunds", "creditmemos", "debitmemos", "invoices", "usages", "paymentmethods", "subscriptions.rateplans", "subscriptions.rateplans.rateplancharges" - `filter[]` (array) A case-insensitive filter on the list. - `fields[]` (array) A case-insensitive query parameter that allows you to specify which fields are returned in the response. Example: "id,createddate" - `includeNullFields` (boolean) Specifies whether to include fields with the null value in the response. - If set to true, all fields will be returned in the response, including those with the null value. - If set to false, only fields with non-null values will be returned. ## Response 200 fields (application/json): - `id` (string) The unique identifier of the account. - `createdById` (string) The unique identifier of the user who created the account. - `createdDate` (string) The date and time when the account was created. - `updatedById` (string) The unique identifier of the user who last updated the account. - `updatedDate` (string) The date and time when the account was last updated. - `accountNumber` (string) The account number that identifies the account. - `additionalEmailAddresses` (string) An additional email addresse to receive email notifications. - `allowInvoiceEdit` (boolean) Indicates whether associated invoices can be edited. - `autoPay` (boolean) Indicates whether future payments are automatically collected when they are due during a payment run. - `balance` (number) The customer's total invoice balance minus credit balance. - `batch` (string) The alias name given to a batch. A string of 50 characters or less. - `bcdSettingOption` (string) Bill cycle day setting option. Indicates whether the account’s bill cycle day is managed manually or automatically. - ManualSet: The bill cycle day is explicitly set to a specific day of the month (1–31). - AutoSet: The bill cycle day is automatically determined by Zuora. The bill cycle day is assigned when the first subscription is created for the account. This field is system-derived and read-only. Its value is automatically determined based on the billCycleDay field. Enum: "ManualSet", "AutoSet" - `billCycleDay` (integer) Billing cycle day (BCD), the day of the month when a bill run generates invoices for the account. - `billToId` (string) The unique identifier of the bill-to contact associated with the account. - `communicationProfileId` (string) The unique identifier of the communication profile that Zuora uses when sending notifications to the account's contacts. - `creditBalance` (number) The current credit balance on the account. - `crmId` (string) External identifier of the account in a CRM system. - `currency` (string) A currency defined in the web-based UI administrative settings. - `customerServiceRepName` (string) Name of the account's customer service representative, if applicable. - `defaultPaymentMethodId` (string) ID of the default payment method for the account. - `eInvoiceProfileId` (string) ID of the e-invoice profile for this account. Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled. - `invoiceDeliveryPrefsEmail` (boolean) Indicates whether the customer wants to receive invoices through email. - `invoiceDeliveryPrefsPrint` (boolean) Whether the customer wants to receive printed invoices, such as through postal mail. - `invoiceTemplateId` (string) Invoice template ID, configured in Billing Settings in the Zuora UI. - `lastInvoiceDate` (string) Date of the most recent invoice for the account; null if no invoice has ever been generated. - `lastMetricsUpdate` (string) The date and time when account metrics are last updated, if the account is a partner account. Note: - This field is available only if you have the Reseller Account feature enabled. - If you ever set the partnerAccount field to true for an account, the value of lastMetricsUpdate field is the time when the account metrics are last updated. - `name` (string) The name of the account. - `notes` (string) A string of up to 65,535 characters. - `organizationId` (string) The unique identifier of the organization to which the account belongs. - `parentId` (string) Identifier of the parent customer account for this Account object. The length is 32 characters. Use this field if you have Customer Hierarchy enabled. - `partnerAccount` (boolean) Whether the customer account is a partner, distributor, or reseller. Note: This field is available only if you have the Reseller Account feature enabled. - `paymentMethodCascadingConsent` (boolean) true indicates the consent from your customer to use the Cascading Payment Method feature was collected. false indicates the consent was not collected and the Cascading Payment Method feature is not enabled. - `purchaseOrderNumber` (string) The purchase order number provided by your customer for services, products, or both purchased. - `salesRepName` (string) Name of the account's sales representative, if applicable. - `sequenceSetId` (string,null) The ID of the billing document sequence set to assign to the customer account. The billing documents to generate for this account will adopt the prefix and starting document number configured in the sequence set. If a customer account has no assigned billing document sequence set, billing documents generated for this account adopt the prefix and starting document number from the default sequence set. - `shipToId` (string) The unique identifier of the ship-to contact associated with the account. - `soldToId` (string) The unique identifier of the sold-to contact associated with the account. - `status` (string) The account status. Enum: "Active", "Draft", "Canceled" - `taxCompanyCode` (string) Unique code that identifies a company account in Avalara. Note: This feature is in Limited Availability. If you wish to have access to the feature, submit a request at [Zuora Global Support](https://support.zuora.com). - `taxExemptCertificateID` (string) ID of the customer tax exemption certificate. Applicable if you use Zuora Tax or Connect tax engines. - `taxExemptCertificateType` (string) Type of tax exemption certificate that the customer holds. Applicable if you use Zuora Tax or Connect tax engines. - `taxExemptDescription` (string) Description of the tax exemption certificate that the customer holds. Applicable if you use Zuora Tax or Connect tax engines. - `taxExemptEffectiveDate` (string) Date when the customer tax exemption starts, in YYYY-MM-DD format. Applicable if you use Zuora Tax or Connect tax engines. - `taxExemptEntityUseCode` (string) A unique entity use code to apply exemptions in Avalara AvaTax. See Exempt Transactions for more details. - `taxExemptExpirationDate` (string) Date when the customer tax exemption expires, in YYYY-MM-DD format. Applicable if you use Zuora Tax or Connect tax engines. - `taxExemptIssuingJurisdiction` (string) Jurisdiction in which the customer tax exemption certificate was issued. - `taxExemptStatus` (string) Status of the account tax exemption. Applicable if you use Zuora Tax or Connect tax engines. Required if you use Zuora Tax. Enum: "No", "Yes", "PendingVerification" - `totalInvoiceBalance` (number) Total balance of all posted invoices. - `unappliedBalance` (number) Total unapplied balance in this currency. - `vATId` (string) EU Value Added Tax ID. - `mrr` (number) Monthly recurring revenue for the account. - `totalDebitMemoBalance` (number) Total balance of all posted debit memos. - `unappliedCreditMemoAmount` (number) The total unapplied amount of all posted credit memos in this currency. - `creditMemoTemplateId` (string) ID of the credit memo template that is used to generate credit memos for the account. - `debitMemoTemplateId` (string) ID of the debit memo template that is used to generate debit memos for the account. - `paymentGateway` (string) The name of the payment gateway instance. If null or left unassigned, the account will use the default gateway. - `paymentTerm` (string) A payment-terms indicator defined in the web-based UI administrative settings, for example, Net 30. - `billTo` (object) - `billTo.id` (string) The unique identifier of the contact. - `billTo.createdById` (string) The unique identifier of the user who created the contact. - `billTo.createdDate` (string) The date and time when the contact was created. - `billTo.updatedById` (string) The unique identifier of the user who last updated the contact. - `billTo.updatedDate` (string) The date and time when the contact was last updated. - `billTo.accountId` (string) The ID of the account associated with the contact. - `billTo.address1` (string) The first line of the contact's address, which is often a street address or business name. - `billTo.address2` (string) The second line of the contact's address. - `billTo.asBillTo` (boolean) Indicates whether the contact can be specified as a bill-to contact. - `billTo.asShipTo` (boolean) Indicates whether the contact can be specified as a ship-to contact. - `billTo.asSoldTo` (boolean) Indicates whether the contact can be specified as a sold-to contact. - `billTo.city` (string) The city of the contact's address. - `billTo.country` (string) The country of the contact's address. - `billTo.county` (string) The county. May optionally be used by Zuora Tax to calculate county tax. - `billTo.fax` (string) The contact's fax number. - `billTo.description` (string) A description for the contact. - `billTo.firstName` (string) The contact's first name. - `billTo.homePhone` (string) The contact's home phone number. - `billTo.lastName` (string) The contact's last name. - `billTo.mobilePhone` (string) The mobile phone number of the contact. - `billTo.nickname` (string) A nickname for the contact. - `billTo.otherPhone` (string) An additional phone number for the contact. - `billTo.otherPhoneType` (string) The type of the additional phone number. Enum: "Work", "Mobile", "Home", "Other" - `billTo.personalEmail` (string) The contact's personal email address. - `billTo.state` (string) The state or province of the contact's address. - `billTo.postalCode` (string) ZIP code or other postal code of the contact's address. - `billTo.taxRegion` (string) If using Zuora Tax, a region string as optionally defined in your tax rules. - `billTo.workEmail` (string) The contact's business email address. - `billTo.workPhone` (string) The contact's business phone number. - `shipTo` (object) - `soldTo` (object) - `defaultPaymentMethod` (object) - `defaultPaymentMethod.id` (string) The unique identifier of the payment method. - `defaultPaymentMethod.createdById` (string) The unique identifier of the user who created the payment method. - `defaultPaymentMethod.createdDate` (string) The time that the payment method gets created in the system, in the YYYY-MM-DD HH:MM:SS format. - `defaultPaymentMethod.updatedById` (string) The unique identifier of the user who last updated the payment method. - `defaultPaymentMethod.updatedDate` (string) The time that the payment method gets updated in the system, in the YYYY-MM-DD HH:MM:SS format. - `defaultPaymentMethod.accountId` (string) The unique identifier of the account that the payment method is associated with. - `defaultPaymentMethod.achAbaCode` (string) The nine-digit routing number or ABA number used by banks. This field is only required if the type field is set to ACH. - `defaultPaymentMethod.achAccountName` (string) The name of the account holder, which can be either a person or a company. This field is only required if the type field is set to ACH. - `defaultPaymentMethod.achAccountNumberMask` (string) The masked bank account number associated with the ACH payment method. This field is only required if the type field is set to ACH. - `defaultPaymentMethod.achAccountType` (string) The type of bank account associated with the ACH payment method. This field is only required if the type field is set to ACH. When creating an ACH payment method on Adyen, this field is required by Zuora but it is not required by Adyen. To create the ACH payment method successfully, specify a real value for this field if you can. If it is not possible to get the real value for it, specify any of the allowed values as a dummy value, Checking preferably. Enum: "BusinessChecking", "Checking", "Saving" - `defaultPaymentMethod.achAddress1` (string) First address line for the ACH payment method. - `defaultPaymentMethod.achAddress2` (string) Second address line for the ACH payment method. - `defaultPaymentMethod.achBankName` (string) The name of the bank where the ACH payment account is held. When creating an ACH payment method on Adyen, this field is required by Zuora but it is not required by Adyen. To create the ACH payment method successfully, specify a real value for this field if you can. If it is not possible to get the real value for it, specify a dummy value. - `defaultPaymentMethod.achCity` (string) City for the ACH payment method. It is recommended to provide the city and country information when creating a payment method. The information will be used to process payments. If the information is not provided during payment method creation, the city and country data will be missing during payment processing. - `defaultPaymentMethod.achCountry` (string) Country for the ACH payment method. Must be a valid country name or abbreviation. See View countries or regions for the list of supported country names and abbreviations. It is recommended to provide the city and country information when creating a payment method. The information will be used to process payments. If the information is not provided during payment method creation, the city and country data will be missing during payment processing. - `defaultPaymentMethod.achPostalCode` (string) Zip code or postal code for the ACH payment method. - `defaultPaymentMethod.achState` (string) State for the ACH payment method. Must be a valid subregion (state or province) name or code. For more information, see View subregions of a specific country or region. - `defaultPaymentMethod.active` (boolean) Indicates whether the payment method type is active. This field is for Zuora internal use and does not impact customer integration or use cases. - `defaultPaymentMethod.isSystem` (boolean) Indicates whether the payment method is a system-generated payment method. This field is for Zuora internal use and does not impact customer integration or use cases. - `defaultPaymentMethod.bankBranchCode` (string) The branch code of the bank used for Direct Debit. - `defaultPaymentMethod.bankCheckDigit` (string) The check digit in the international bank account number, which confirms the validity of the account. Applicable to direct debit payment methods. - `defaultPaymentMethod.bankCity` (string) The city of the direct debit bank. - `defaultPaymentMethod.bankCode` (string) The sort code or number that identifies the bank. This is also known as the sort code. - `defaultPaymentMethod.bankIdentificationNumber` (string) The first six or eight digits of the payment method's number, such as the credit card number or account number. Banks use this number to identify a payment method. - `defaultPaymentMethod.bankName` (string) The name of the direct debit bank. - `defaultPaymentMethod.bankPostalCode` (string) The zip code or postal code of the direct debit bank. - `defaultPaymentMethod.bankStreetName` (string) The name of the street of the direct debit bank. - `defaultPaymentMethod.bankStreetNumber` (string) The number of the direct debit bank. - `defaultPaymentMethod.bankTransferAccountName` (string) The name on the direct debit bank account. - `defaultPaymentMethod.bankTransferAccountNumberMask` (string) This is a masked displayable version of the bank account number, used for security purposes. For example: XXXXXXXXX54321. - `defaultPaymentMethod.bankTransferAccountType` (string) The type of the customer's bank account. Applicable to direct debit payment methods. - `defaultPaymentMethod.bankTransferType` (string) Specifies the type of direct debit transfer. The value of this field is dependent on the country of the user. Possible Values: * AutomatischIncasso (NL) * LastschriftDE (Germany) * LastschriftAT (Austria) * DemandeDePrelevement (FR) * DirectDebitUK (UK) * Domicil (Belgium) * LastschriftCH (CH) * RID (Italy) * OrdenDeDomiciliacion (Spain) * Autogiro (Sweden) * Betalingsservice (Denmark) Enum: "AutomatischIncasso", "LastschriftDE", "LastschriftAT", "DemandeDePrelevement", "DirectDebitUK", "Domicil", "LastschriftCH", "RID", "OrdenDeDomiciliacion", "Autogiro", "Betalingsservice" - `defaultPaymentMethod.businessIdentificationCode` (string) The business identification code for Swiss direct payment methods that use the Global Collect payment gateway. Only applicable to direct debit payment methods in Switzerland with Global Collect. - `defaultPaymentMethod.city` (string) The city of the customer's address. Applicable to debit payment methods. - `defaultPaymentMethod.country` (string) The two-letter country code of the customer's address. Applicable to direct debit payment methods. - `defaultPaymentMethod.creditCardAddress1` (string) The first line of the card holder's address, which is often a street address or business name. Applicable to credit card and direct debit payment methods. - `defaultPaymentMethod.creditCardAddress2` (string) The second line of the card holder's address. Applicable to credit card and direct debit payment methods. - `defaultPaymentMethod.creditCardCity` (string) The city of the card holder's address. Applicable to credit card and direct debit payment methods. - `defaultPaymentMethod.creditCardCountry` (string) The country where the credit card holder stays. When creating a payment method through a translated UI or Payment Page, a country name in a translated language might be selected. Regardless of the country texts selected when creating the payment method, only the supported country name returns in this field. For a complete list of supported country names, see View countries or regions. Internationalization is not supported for the API field value. - `defaultPaymentMethod.creditCardExpirationMonth` (integer) One or two digits expiration month. - `defaultPaymentMethod.creditCardExpirationYear` (integer) Four-digit expiration year. - `defaultPaymentMethod.creditCardHolderName` (string) The full name of the credit card holder. - `defaultPaymentMethod.creditCardMaskNumber` (string) The masked credit card number, such as *1112. - `defaultPaymentMethod.creditCardPostalCode` (string) The postal code for the address of the credit card holder. - `defaultPaymentMethod.creditCardState` (string) The state where the credit card holder stays. - `defaultPaymentMethod.creditCardType` (string) The type of the credit card or debit card. Possible values include Visa, MasterCard, AmericanExpress, Discover, JCB, and Diners. For more information about credit card types supported by different payment gateways, see [Supported Payment Gateways](https://knowledgecenter.zuora.com/CB_Billing/M_Payment_Gateways/Supported_Payment_Gateways). Note: This field is only returned for the Credit Card and Debit Card payment types. - `defaultPaymentMethod.deviceSessionId` (string) The session ID of the user when the PaymentMethod was created or updated. - `defaultPaymentMethod.existingMandate` (string) Indicates whether the mandate is an existing mandate. Enum: "Yes", "No" - `defaultPaymentMethod.email` (string) The email address of the payment method holder. - `defaultPaymentMethod.firstName` (string) The customer's first name. Only applicable to direct debit payment methods. - `defaultPaymentMethod.iBAN` (string) The International Bank Account Number used to create the SEPA payment method. The value is masked. - `defaultPaymentMethod.iPAddress` (string) The IP address of the user when the payment method was created or updated. - `defaultPaymentMethod.identityNumber` (string) The identity number of the account holder or the cardholder. - `defaultPaymentMethod.companyName` (string) The name of the company. - `defaultPaymentMethod.isCompany` (boolean) Whether the customer account is a company. - `defaultPaymentMethod.lastFailedSaleTransactionDate` (string) The date of the last failed attempt to collect payment with this payment method. - `defaultPaymentMethod.lastName` (string) The customer's last name. Only applicable to direct debit payment methods. - `defaultPaymentMethod.lastTransactionDateTime` (string) The date and time of the most recent transaction. - `defaultPaymentMethod.lastTransactionStatus` (string) The status of the most recent transaction. - `defaultPaymentMethod.mandateCreationDate` (string) The date on which the mandate was created. - `defaultPaymentMethod.mandateId` (string) The mandate ID. - `defaultPaymentMethod.mandateReason` (string) The reason of the mandate from the gateway side. - `defaultPaymentMethod.mandateReceived` (string) Indicates whether the mandate is received from the gateway. Enum: "Yes", "No" - `defaultPaymentMethod.mandateStatus` (string) The status of the mandate from the gateway side. - `defaultPaymentMethod.mandateUpdateDate` (string) The date on which the mandate was updated. - `defaultPaymentMethod.maxConsecutivePaymentFailures` (integer) The number of allowable consecutive failures Zuora attempts with the payment method before stopping. - `defaultPaymentMethod.name` (string) The name of the payment method. - `defaultPaymentMethod.numConsecutiveFailures` (integer) The number of consecutive failed payments for this payment method. It is reset to 0 upon successful payment. - `defaultPaymentMethod.paymentMethodStatus` (string) The status of the payment method. Enum: "Active", "Closed", "Scrubbed" - `defaultPaymentMethod.paymentRetryWindow` (integer) The retry interval setting, which prevents making a payment attempt if the last failed attempt was within the last specified number of hours. - `defaultPaymentMethod.paypalBaid` (string) ID of a PayPal billing agreement. Example: "I-1TJ3GAGG82Y9" - `defaultPaymentMethod.paypalEmail` (string) Email address associated with the PayPal payment method. - `defaultPaymentMethod.paypalPreapprovalKey` (string) The PayPal preapproval key. - `defaultPaymentMethod.paypalType` (string) The type of the PayPal payment method. - `defaultPaymentMethod.phone` (string) The phone number that the account holder registered with the bank. This field is used for credit card validation when passing to a gateway. - `defaultPaymentMethod.postalCode` (string) The zip code of the customer's address. Only applicable to direct debit payment methods. - `defaultPaymentMethod.secondTokenId` (string) A gateway unique identifier that replaces sensitive payment method data. Note: This field is only returned for the Credit Card Reference Transaction payment type. - `defaultPaymentMethod.state` (string) The state of the customer's address. Only applicable to direct debit payment methods. - `defaultPaymentMethod.streetName` (string) The street name of the customer's address. Only applicable to direct debit payment methods. - `defaultPaymentMethod.streetNumber` (string) The street number of the customer's address. Only applicable to direct debit payment methods. - `defaultPaymentMethod.tokenId` (string) A gateway unique identifier that replaces sensitive payment method data or represents a gateway's unique customer profile. Applicable to CC Reference Transaction payment methods. - `defaultPaymentMethod.totalNumberOfErrorPayments` (integer) The number of error payments that used this payment method. - `defaultPaymentMethod.totalNumberOfProcessedPayments` (integer) The number of successful payments that used this payment method. - `defaultPaymentMethod.type` (string) The type of the payment method. For example, CreditCard. - `defaultPaymentMethod.useDefaultRetryRule` (boolean) Indicates whether this payment method uses the default retry rules configured in the Zuora Payments settings. - `defaultPaymentMethod.methodReferenceId` (string) The identification reference of the custom payment method. This field should be mapped to a field name defined in the fields array for the purpose of being used as a filter in reporting tools such as Payment Method Data Source Exports and Data Query. - `defaultPaymentMethod.userReferenceId` (string) The identification reference of the user or customer account. This field should be mapped to a field name defined in the fields array for the purpose of being used as a filter in reporting tools such as Data Source Exports and Data Query. - `defaultPaymentMethod.subType` (string) The identification reference indicating the subtype of the custom payment method. This field should be mapped to a field name defined in the fields array for the purpose of being used as a filter in reporting tools such as Data Source Exports and Data Query. - `defaultPaymentMethod.methodSpecificData` (string) Other method-specific data of the payment method. - `defaultPaymentMethod.cardBrand` (string) The card brand, such as Visa and MasterCard. - `defaultPaymentMethod.cardClass` (string) The type of the card. Enum: "ChargeCard", "Credit", "Debit", "DeferredDebit", "Prepaid" - `defaultPaymentMethod.cardIssuingBank` (string) The issuer bank of the card, such as JPMORGAN CHASE BANK N.A.. - `defaultPaymentMethod.cardIssuingCountry` (string) The issuing country code of the card, such as US. - `defaultPaymentMethod.cardProductType` (string) The product type of the card. Enum: "Commercial_or_Corporate_Card", "Consumer_Card" - `defaultPaymentMethod.account` (object) The account to which the payment method belongs. - `subscriptions` (array) - `subscriptions.id` (string) The unique identifier of the subscription. - `subscriptions.createdById` (string) The unique identifier of the user who created the subscription. - `subscriptions.createdDate` (string) The date and time when the subscription was created in the Zuora system, in the yyyy-mm-dd hh:mm:ss format. - `subscriptions.updatedById` (string) The unique identifier of the user who last updated the subscription. - `subscriptions.updatedDate` (string) The date and time when the subscription was last updated, in the yyyy-mm-dd hh:mm:ss format. - `subscriptions.accountId` (string) The ID of the account associated with this subscription. - `subscriptions.autoRenew` (boolean) If true, the subscription automatically renews at the end of the term. - `subscriptions.cancelledDate` (string) The date on which the subscription was canceled. - `subscriptions.contractAcceptanceDate` (string) The date when the customer accepts the contract, in the yyyy-mm-dd format. If this field is not set: - If the serviceActivationDate field is not set, the value of this field is set to be the contract effective date. - If the serviceActivationDate field is set, the value of this field is set to be the service activation date. The billing trigger dates must follow this rule: contractEffectiveDate <= serviceActivationDate <= contractAcceptanceDate - `subscriptions.contractEffectiveDate` (string) The date when the subscription is activated, in the yyyy-mm-dd format. You must specify a Service Activation date if the Customer Acceptance date is set. If the Customer Acceptance date is not set, the value of the serviceActivationDate field defaults to be the Contract Effective Date. The billing trigger dates must follow this rule: contractEffectiveDate <= serviceActivationDate <= contractAcceptanceDate - `subscriptions.creatorAccountId` (string) The ID of the account that created the subscription. This field is automatically populated with the ID of the account that creates the subscription. Note: This field is not available for single version subscriptions. - `subscriptions.creatorInvoiceOwnerId` (string) The account ID that owns the invoices associated with the subscription or the amended subscription. Note: This field is not available for single version subscriptions. - `subscriptions.currentTerm` (integer) The length of the period for the current subscription term. - `subscriptions.currentTermPeriodType` (string) The period type for the current subscription term. Enum: "Month", "Year", "Day", "Week" - `subscriptions.initialTerm` (integer) The length of the period for the initial subscription term. - `subscriptions.initialTermPeriodType` (string) The period type for the first subscription term. Enum: "Month", "Year", "Day", "Week" - `subscriptions.invoiceOwnerId` (string) The account ID that owns the invoices associated with the subscription. - `subscriptions.isInvoiceSeparate` (boolean) Determines if the subscription is invoiced separately. If true, then all charges for this subscription are collected into the subscription's own invoice. - `subscriptions.isSingleVersioned` (boolean) If true, the subscription is a single version subscription. - `subscriptions.name` (string) The name of the subscription. - `subscriptions.notes` (string) Additional information about the subscription. - `subscriptions.originalCreatedDate` (string) The date when the subscription was originally created. This value is the same as the createdDate value until the subscription is amended. - `subscriptions.originalId` (string) The original rate plan charge ID. Only available for update subscription. Note: This field is not available for single version subscriptions. - `subscriptions.previousSubscriptionId` (string) The ID of the previous subscription. This field is only available if the subscription is a renewal subscription. Note: This field is not available for single version subscriptions. - `subscriptions.renewalSetting` (string) Specifies whether a termed subscription will remain TERMED or change to EVERGREEN when it is renewed. Enum: "RENEW_WITH_SPECIFIC_TERM", "RENEW_TO_EVERGREEN" - `subscriptions.renewalTerm` (integer) The length of the period for the subscription renewal term. - `subscriptions.renewalTermPeriodType` (string) The period type for the subscription renewal term. Enum: "Month", "Year", "Day", "Week" - `subscriptions.revision` (string) An auto-generated decimal value uniquely tagged with a subscription. The value always contains one decimal place, for example, the revision of a new subscription is 1.0. If a further version of the subscription is created, the revision value will be increased by 1. Also, the revision value is always incremental regardless of deletion of subscription versions. - `subscriptions.serviceActivationDate` (string) The date on which the services or products within a subscription have been activated and access has been provided to the customer, in the yyyy-mm-dd format. - `subscriptions.status` (string) Subscription status. Enum: "Draft", "Pending Activation", "Pending Acceptance", "Active", "Cancelled", "Suspended" - `subscriptions.isLatestVersion` (boolean) If true, the current subscription object is the latest version. Note: This field is not available for single version subscriptions. - `subscriptions.subscriptionEndDate` (string) The date when the subscription term ends, where the subscription ends at midnight the day before. For example, if the subscriptionEndDate is 12/31/2016, the subscriptions ends at midnight (00:00:00 hours) on 12/30/2016. This date is the same as the term end date or the cancelation date, as appropriate. - `subscriptions.subscriptionStartDate` (string) Date the subscription becomes effective. - `subscriptions.subscriptionVersionAmendmentId` (string) The ID of the amendment made to this subscription version. Note: This field is not available for single version subscriptions. - `subscriptions.termEndDate` (string) Date the subscription term ends. If the subscription is evergreen, this is null or is the cancellation date (if one has been set). - `subscriptions.termStartDate` (string) Date the subscription term begins. If this is a renewal subscription, this date is different from the subscription start date. - `subscriptions.termType` (string) The type of the subscription term. Enum: "TERMED", "EVERGREEN" - `subscriptions.version` (integer) This is the subscription version automatically generated by Zuora Billing. Each order or amendment creates a new version of the subscription, which incorporates the changes made in the order or amendment. - `subscriptions.cMRR` (number) Monthly recurring revenue of the subscription. - `subscriptions.billToContactSnapshotId` (string) The ID of the bill-to contact snapshot. - `subscriptions.billToContactId` (string) The ID of the bill-to contact for the subscription. - `subscriptions.invoiceTemplateId` (string) The ID of the invoice template associated with the subscription. Note: - If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body and the value of this field is null in the response body. - If you have the Flexible Billing Attributes feature enabled, and you do not specify this field in the request or you select Default Template from Account for this field during subscription creation, the value of this field is automatically set to null in the response body. - `subscriptions.sequenceSetId` (string,null) The ID of the sequence set associated with the subscription. Note: - If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body and the value of this field is null in the response body. - If you have the Flexible Billing Attributes feature enabled, and you do not specify this field in the request or you select Default Set from Account for this field during subscription creation, the value of this field is automatically set to null in the response body. - `subscriptions.shipToContactId` (string) The ID of the ship-to contact for the subscription. - `subscriptions.shipToContactSnapshotId` (string) The ID of the ship-to contact snapshot. - `subscriptions.soldToContactId` (string) The ID of the sold-to contact for the subscription. - `subscriptions.soldToContactSnapshotId` (string) The ID of the sold-to contact snapshot. - `subscriptions.externallyManagedBy` (string) An enum field on the Subscription object to indicate the name of a third-party store. This field is used to represent subscriptions created through third-party stores. Enum: "Amazon", "Apple", "Google", "Roku" - `subscriptions.lastBookingDate` (string) The last booking date of the subscription object. This field is writable only when the subscription is newly created as a first version subscription. You can override the date value when creating a subscription through the Subscribe and Amend API or the subscription creation UI (non-Orders). Otherwise, the default value today is set per the user's timezone. The value of this field is as follows: * For a new subscription created by the [Subscribe and Amend APIs](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Orders_Harmonization/Orders_Migration_Guidance#Subscribe_and_Amend_APIs_to_Migrate), this field has the value of the subscription creation date. * For a subscription changed by an amendment, this field has the value of the amendment booking date. * For a subscription created or changed by an order, this field has the value of the order date. - `subscriptions.invoiceScheduleId` (string) The ID of the invoice schedule associated with the subscription. If multiple invoice schedules are created for different terms of a subscription, this field stores the latest invoice schedule. Note: This field is available only if you have the Billing Schedule feature enabled. - `subscriptions.cancelReason` (string) The reason for a subscription cancellation copied from the changeReason field of a Cancel Subscription order action. This field contains valid value only if a subscription is cancelled through the Orders UI or API. Otherwise, the value for this field will always be null. - `subscriptions.prepayment` (boolean) Whether the subscription is prepaid. - `subscriptions.currency` (string) The currency of the subscription. Note: This field is available only if you have the Multiple Currencies feature enabled. - `subscriptions.orderId` (string) The ID of the order associated with the subscription. Note: This field is available only for orders that exist after the end of June 2023. - `subscriptions.rampId` (string) The ID of the ramp object associated with the subscription. Note: This field is available only if you have the Ramp feature enabled. - `subscriptions.paymentTerm` (string) Name of the payment term associated with the account. For example, "Net 30". The payment term determines the due dates of invoices. - `subscriptions.quoteNumber__QT` (string) The unique identifier of the Quote. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `subscriptions.quoteType__QT` (string) The Quote type that represents the subscription lifecycle stage such as New, Amendment, Renew or Cancel. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `subscriptions.quoteBusinessType__QT` (string) The specific identifier for the type of business transaction the Quote represents such as New, Upsell, Downsell, Renewal or Churn. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `subscriptions.opportunityName__QT` (string) The unique identifier of the Opportunity. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `subscriptions.opportunityCloseDate__QT` (string) - `subscriptions.cpqBundleJsonId__QT` (string) The Bundle product structures from Zuora Quotes if you utilize Bundling in Salesforce. Do not change the value in this field. - `subscriptions.account` (object) The subscription owner account associated with the subscription. - `subscriptions.invoiceOwner` (object) The invoice owner account associated with the subscription. - `subscriptions.billToContact` (object) The bill-to contact who pays the billing documents for this subscription. - `subscriptions.invoiceItems` (array) The invoice items associated with the subscription. - `subscriptions.ratePlans` (array) The rate plans associated with the subscription. - `payments` (array) - `payments.id` (string) The unique identifier of the payment. - `payments.createdById` (string) The unique identifier of the user who created the payment. - `payments.createdDate` (string) The time that the payment gets created in the system, in the YYYY-MM-DD HH:MM:SS format. - `payments.updatedById` (string) The unique identifier of the user who last updated the payment. - `payments.updatedDate` (string) The time that the payment gets updated in the system, in the YYYY-MM-DD HH:MM:SS format. - `payments.accountId` (string) The ID of the customer account that the payment is for. - `payments.accountingCode` (string) The accounting code for the charge. Accounting codes group transactions that contain similar accounting attributes. - `payments.amount` (number) The total amount of the payment. - `payments.appliedAmount` (number) The applied amount of the payment. - `payments.authTransactionId` (string) The authorization transaction ID from the payment gateway. - `payments.appliedCreditBalanceAmount` (number) The amount of the payment to apply to a credit balance. - `payments.bankIdentificationNumber` (string) The first six or eight digits of the credit card or debit card used for the payment, when applicable. Use this field to reconcile payments between the gateway and merchant banks. - `payments.cancelledOn` (string) The date when the payment was canceled. - `payments.comment` (string,null) Comments about the payment. - `payments.currency` (string) When Standalone Payment is not enabled, the currency of the payment must be the same as the payment currency defined in the customer account settings through Zuora UI. When Standalone Payment is enabled and standalone is true, the currency of the standalone payment can be different from the payment currency defined in the customer account settings. The amount will not be summed up to the account balance or key metrics regardless of currency. Example: "USD" - `payments.effectiveDate` (string) The date and time when the payment takes effect, in yyyy-mm-dd hh:mm:ss format. - `payments.gatewayOrderId` (string) A merchant-specified natural key value that can be passed to the electronic payment gateway when a payment is created. - `payments.gatewayReconciliationReason` (string) The reason of gateway reconciliation. - `payments.gatewayReconciliationStatus` (string) The status of gateway reconciliation. - `payments.gatewayResponse` (string) The message returned from the payment gateway for the payment. This message is gateway-dependent. - `payments.gatewayResponseCode` (string) The code returned from the payment gateway for the payment. This code is gateway-dependent. - `payments.gatewayState` (string) The status of the payment in the gateway; use for reconciliation. Enum: "MarkedForSubmission", "Submitted", "Settled", "NotSubmitted", "FailedToSettle" - `payments.gatewayTransactionState` (string) - `payments.isStandalone` (boolean) Indicates whether the payment is a standalone payment. A standalone payment is a payment that is not associated with any invoice or subscription. - `payments.markedForSubmissionOn` (string) The date and time when a charge was marked and waiting for batch submission to the payment process, in yyyy-mm-dd hh:mm:ss format. - `payments.paymentMethodId` (string) The unique ID of the payment method that the customer used to make the payment. - `payments.paymentMethodSnapshotId` (string) The unique ID of the payment method snapshot which is a copy of the particular Payment Method used in a transaction. - `payments.paymentOptionId` (string) ID of the paymentOption object, which describe the transactional level rules for processing payments. - `payments.paymentNumber` (string) The unique identification number of a payment. Example: "P-00000028." - `payments.payoutId` (string) The payout ID of the payment from the gateway side. - `payments.prepayment` (boolean) Indicates whether the payment is used as a reserved payment. See [Prepaid Cash with Drawdown](https://knowledgecenter.zuora.com/Zuora_Billing/Billing_and_Invoicing/JA_Advanced_Consumption_Billing/Prepaid_Cash_with_Drawdown) for more information. - `payments.referencedPaymentID` (string) The ID of a referenced payment. - `payments.referenceId` (string) The transaction ID returned by the payment gateway. Use this field to reconcile payments between your gateway and Zuora Payments. - `payments.refundAmount` (number) The amount of the payment that is refunded. - `payments.secondPaymentReferenceId` (string) The transaction ID returned by the payment gateway if there is an additional transaction for the payment. Use this field to reconcile payments between your gateway and Zuora Payments. - `payments.settledOn` (string) The date and time when the payment was settled in the payment processor, in yyyy-mm-dd hh:mm:ss format. This field is used by the Spectrum gateway only and not applicable to other gateways. - `payments.softDescriptor` (string) A payment gateway-specific field that maps to Zuora for the gateways, Orbital, Vantiv and Verifi. - `payments.softDescriptorPhone` (string) A payment gateway-specific field that maps to Zuora for the gateways, Orbital, Vantiv and Verifi. - `payments.source` (string) Indicates how the payment was created, whether through API, manually, import, or payment run. Enum: "PaymentRun", "Import", "Manually", "API" - `payments.sourceName` (string) Name of the source. It can be a payment run number or a file name. - `payments.status` (string) The status of the payment. Enum: "Draft", "Processing", "Processed", "Error", "Canceled", "Posted" - `payments.submittedOn` (string) The date and time when the payment was submitted, in yyyy-mm-dd hh:mm:ss format. - `payments.type` (string) The type of the payment. Enum: "External", "Electronic" - `payments.transferredToAccounting` (string) Whether the payment was transferred to an external accounting system. Use this field for integration with accounting systems, such as NetSuite. Enum: "Processing", "Yes", "No", "Error", "Ignore" - `payments.transactionSource` (string) Payment transaction source used to differentiate the transaction source in Stored Credential Transaction framework. - C_Unscheduled: Cardholder-initiated transaction (CIT) that does not occur on scheduled or regularly occurring dates. - M_Recurring: Merchant-initiated transaction (MIT) that occurs at regular intervals. - M_Unscheduled: Merchant-initiated transaction (MIT) that does not occur on scheduled or regularly occurring dates. - M_MOTO: Mail Order Telephone Order (MOTO) payment transaction. This option is only available for credit card payments on Stripe v2. See [Overview of Stripe payment gateway integration](https://knowledgecenter.zuora.com/Zuora_Collect/Payment_gateway_integrations/Supported_payment_gateways/Stripe_Payment_Gateway/A_Overview_of_Stripe_payment_gateway_integration) for more information. Enum: "C_Unscheduled", "M_Recurring", "M_Unscheduled", "M_MOTO" - `payments.unappliedAmount` (number) The unapplied amount of the payment. - `payments.lastEmailDateTime` (string) The date and time when the last email was sent to the customer for the payment. - `payments.gateway` (string) Name of the gateway instance that processes the payment. - `payments.account` (object) The account associated with the payment. - `payments.paymentMethod` (object) The payment method used for this payment. - `payments.paymentApplications` (array) The payment applications associated with the payment. - `refunds` (array) - `refunds.id` (string) The unique identifier of the refund. - `refunds.createdById` (string) The unique identifier of the user who created the refund. - `refunds.createdDate` (string) The date and time when the refund was created. - `refunds.updatedById` (string) The unique identifier of the user who last updated the refund. - `refunds.updatedDate` (string) The date and time when the refund was last updated. - `refunds.accountId` (string) The ID of the account associated with this refund. Zuora associates the refund automatically with the account from the associated payment or credit memo. - `refunds.amount` (number) The total amount of the refund. - `refunds.cancelledOn` (string) The date and time when the refund was cancelled, in yyyy-mm-dd hh:mm:ss format. - `refunds.comment` (string,null) Comments about the refund. - `refunds.paymentMethodSnapshotId` (string) The unique ID of the payment method snapshot which is a copy of the particular payment method used in a transaction. - `refunds.accountingCode` (string) The accounting code that maps to this refund transaction in your accounting system. - `refunds.currency` (string) The currency of the refund. - `refunds.gatewayResponse` (string) The message returned from the payment gateway for the refund. This message is gateway-dependent. - `refunds.gatewayResponseCode` (string) The code returned from the payment gateway for the refund. This code is gateway-dependent. - `refunds.gatewayState` (string) The status of the refund in the gateway. Enum: "MarkedForSubmission", "Submitted", "Settled", "NotSubmitted", "FailedToSettle" - `refunds.markedForSubmissionOn` (string) The date and time when a refund was marked and waiting for batch submission to the payment process, in yyyy-mm-dd hh:mm:ss format. - `refunds.methodType` (string) How an external refund was issued to a customer. Enum: "ACH", "Cash", "Check", "CreditCard", "PayPal", "WireTransfer", "DebitCard", "CreditCardReferenceTransaction", "BankTransfer", "Other" - `refunds.paymentMethodId` (string) The unique ID of the payment method that the customer used to make the refund. - `refunds.payoutId` (string) The payout ID of the refund from the gateway side. - `refunds.reasonCode` (string) A code identifying the reason for the transaction. - `refunds.refundNumber` (string) The number of the refund. - `refunds.referenceID` (string) The transaction ID returned by the payment gateway for an electronic refund. Use this field to reconcile refunds between your gateway and Zuora Payments. - `refunds.refundDate` (string) The date when the refund takes effect, in yyyy-mm-dd format. For example, 2017-03-01. - `refunds.refundTransactionTime` (string) The date and time when the refund was issued, in yyyy-mm-dd hh:mm:ss format. - `refunds.sourceType` (string) Specifies whether the refund is a refund payment or a credit balance. Enum: "Payment", "CreditBalance", "CreditMemo" - `refunds.secondRefundReferenceId` (string) The transaction ID returned by the payment gateway if there is an additional transaction for the refund. Use this field to reconcile payments between your gateway and Zuora Payments. - `refunds.settledOn` (string) The date and time when the refund was settled in the payment processor, in yyyy-mm-dd hh:mm:ss format. This field is used by the Spectrum gateway only and not applicable to other gateways. - `refunds.softDescriptor` (string) A payment gateway-specific field that maps Zuora to other gateways. - `refunds.softDescriptorPhone` (string) A payment gateway-specific field that maps Zuora to other gateways. - `refunds.status` (string) The status of the refund. Enum: "Processed", "Canceled", "Error", "Processing" - `refunds.submittedOn` (string) The date and time when the refund was submitted, in yyyy-mm-dd hh:mm:ss format. - `refunds.transferredToAccounting` (string) Whether the refund was transferred to an external accounting system. Use this field for integration with accounting systems, such as NetSuite. Enum: "Processing", "Yes", "No", "Error", "Ignore" - `refunds.type` (string) The type of the refund. Enum: "External", "Electronic" - `refunds.associatedTransactionNumber` (string) The number of the associated transactions, such as payments. - `refunds.gateway` (string) The gateway that processed the original payment. A gateway is an online service provider that connects an online shopping cart to a payment processor. Zuora uses this same gateway for the corresponding refund. If this payment gateway is no longer active, then the electronic refund fails. - `refunds.account` (object) The account associated with the refund. - `refunds.paymentMethod` (object) The payment method to which the refund is returned. - `refunds.refundApplications` (array) The refund applications associated with the refund. - `creditMemos` (array) - `creditMemos.id` (string) The unique identifier of the credit memo. - `creditMemos.createdById` (string) The unique identifier of the user who created the credit memo. - `creditMemos.createdDate` (string) The date and time when the credit memo was created. - `creditMemos.updatedById` (string) The unique identifier of the user who last updated the credit memo. - `creditMemos.updatedDate` (string) The date and time when the credit memo was last updated. - `creditMemos.appliedAmount` (number) The applied amount of the credit memo. - `creditMemos.balance` (number) The remaining balance of credit memo. - `creditMemos.billToContactId` (string) The ID of the bill-to contact associated with the credit memo. The value of this field is null if you have the [Flexible Billing Attributes](https://docs.zuora.com/en/zuora-billing/bill-your-customer/leverage-advanced-capabilities/flexible-billing/flexible-billing-attributes/overview-of-flexible-billing-attributes) feature disabled. - `creditMemos.billToContactSnapshotId` (string) The ID of the bill-to contact snapshot associated with the credit memo. The value of this field is null if the bill rule [Preserve snapshot of bill-to and sold-to contacts when billing documents are posted](https://knowledgecenter.zuora.com/Zuora_Billing/Billing_and_Invoicing/Billing_Settings/Define_Billing_Rules#Preserve_snapshot_of_bill-to_and_sold-to_contacts_when_billing_documents_are_posted) is disabled. - `creditMemos.cancelledById` (string,null) The ID of the Zuora user who cancelled the credit memo. - `creditMemos.cancelledOn` (string,null) The date and time when the credit memo was cancelled, in yyyy-mm-dd hh:mm:ss format. - `creditMemos.comment` (string,null) Comments about the credit memo. - `creditMemos.currency` (string,null) The currency of the credit memo. Note: By default, the currency on a billing document matches the default currency set on the associated account. However, Zuora now offers a Multiple Currencies feature to support different currencies for billing documents, allowing flexibility beyond the account-level currency. For more information, see Multiple Currency. - `creditMemos.discountAmount` (number) The amount of the discount on the credit memo. - `creditMemos.einvoiceErrorCode` (string) The error code returned when the e-invoice file status is Failed. This code can either be a Zuora-generated error code or one returned by a third-party e-invoicing service provider. Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled. - `creditMemos.einvoiceErrorMessage` (string) The error message returned when the e-invoice file status is Failed. This message can either be a Zuora-generated error message or one returned by a third-party e-invoicing service provider. Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled. - `creditMemos.einvoiceFileId` (string) The ID of the e-invoice file generated for the credit memo. Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled. - `creditMemos.einvoiceStatus` (string) The status of the e-invoice file generation for the credit memo. - If e-invoice file generation succeeds, this field is either Generated or Success, and both the error code and message are empty, and the eInvoiceFileId field stores the ID of the generated e-invoice file. - If a failure occurs during e-invoice file generation, this field is Failed and an error code and an error message are returned respectively in the einvoiceErrorCode and einvoiceErrorMessage fields. - If e-invoice file generation conditionally succeeds, this field is ConditionalSuccess and an error code and an error message are returned respectively in the einvoiceErrorCode and einvoiceErrorMessage fields. - If the e-invoice file has been approved by the tax authority, this field is ApprovedByAuthority. The next status will be either Success or Rejected. - If the e-invoice file has been rejected by the government, this field is Rejected. You cannot resend this e-invoice; you must create a new invoice instead. Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled. Enum: "Processing", "Generated", "Success", "Failed", "ConditionalSuccess", "ApprovedByAuthority", "Rejected" - `creditMemos.excludeFromAutoApplyRules` (boolean) Whether the credit memo is excluded from the rule of automatically applying credit memos to invoices. - `creditMemos.exchangeRateDate` (string) The date of the exchange rate used. The date is in yyyy-mm-dd format. Corresponds to the value specified in the Provider Exchange Rate Date column in the Import Foreign Exchange Rates template when you uploaded the rates through the Mass Updater. - `creditMemos.autoApplyUponPosting` (boolean) Whether the credit memo automatically applies to the invoice upon posting. - `creditMemos.memoDate` (string) The date when the credit memo takes effect, in yyyy-mm-dd format. For example, 2024-01-01. - `creditMemos.memoNumber` (string) The unique identification number of the credit memo. - `creditMemos.postedById` (string) The ID of the Zuora user who posted the credit memo. - `creditMemos.postedOn` (string) The date and time when the credit memo was posted, in yyyy-mm-dd hh:mm:ss format. - `creditMemos.reasonCode` (string) A code identifying the reason for the transaction. The value must be an existing reason code or empty. - `creditMemos.refundAmount` (number) The amount of the refund on the credit memo. - `creditMemos.revenueImpacting` (string) Indicates whether this write off operation impacts the revenue. If revenueImpacting = Yes, the deferred revenue accounting code will be automatically selected from the associated invoice. If revenueImpacting = No, users can select an accounting code such as bad-debt expense accounting code for the write off operation. Enum: "Yes", "No" - `creditMemos.reversed` (boolean) Whether the credit memo is reversed. - `creditMemos.sequenceSetId` (string,null) The ID of the sequence set associated with the credit memo. The value of this field is null if you have the [Flexible Billing Attributes](https://docs.zuora.com/en/zuora-billing/bill-your-customer/leverage-advanced-capabilities/flexible-billing/flexible-billing-attributes/overview-of-flexible-billing-attributes) feature disabled. - `creditMemos.source` (string) The source of the credit memo. Possible values: - BillRun: The credit memo is generated by a bill run. - API: The credit memo is created by calling the [Invoice and collect](https://developer.zuora.com/api-references/api/operation/POST_TransactionInvoicePayment) operation, or by calling the Orders, Order Line Items, or Fulfillments API operations. - ApiSubscribe: The credit memo is created by calling the [Create subscription](https://developer.zuora.com/api-references/api/operation/POST_Subscription) and [Create account](https://developer.zuora.com/api-references/api/operation/POST_Account) operation. - ApiAmend: The credit memo is created by calling the [Update subscription](https://developer.zuora.com/api-references/api/operation/PUT_Subscription) operation. - AdhocFromPrpc: The credit memo is created from a product rate plan charge through the Zuora UI or by calling the [Create a credit memo from a charge](https://developer.zuora.com/api-references/api/operation/POST_CreditMemoFromPrpc) operation. - AdhocFromInvoice: The credit memo is created from an invoice or created by reversing an invoice. You can create a credit memo from an invoice through the Zuora UI or by calling the [Create credit memo from invoice](https://developer.zuora.com/api-references/api/operation/POST_CreditMemoFromInvoice) operation. You can create a credit memo by reversing an invoice through the Zuora UI or by calling the [Reverse invoice](https://developer.zuora.com/api-references/api/operation/PUT_ReverseInvoice) operation. Enum: "BillRun", "API", "ApiSubscribe", "ApiAmend", "AdhocFromPrpc", "AdhocFromInvoice" - `creditMemos.sourceId` (string) The ID of the credit memo source. If a credit memo is generated from a bill run, the value is the number of the corresponding bill run. Otherwise, the value is null. - `creditMemos.sourceType` (string) The type of the credit memo source. Enum: "Subscription", "Standalone", "Invoice", "Order", "CreditMemo", "Consolidation" - `creditMemos.status` (string) The status of the credit memo. Enum: "Draft", "Posted", "Canceled", "Error", "PendingForTax", "Generating", "CancelInProgress" - `creditMemos.targetDate` (string) The target date for the credit memo, in yyyy-mm-dd format. For example, 2024-01-01. - `creditMemos.taxAmount` (number) The amount of taxation. - `creditMemos.taxMessage` (string,null) The message about the status of tax calculation related to the credit memo. If tax calculation fails in one credit memo, this field displays the reason for the failure. - `creditMemos.taxStatus` (string) The status of tax calculation related to the credit memo. Note: This field is only applicable to tax calculation by third-party tax engines. Also, the Voided status indicates that the tax transaction is successfully canceled on the tax vendor's side. If a tax transaction was successfully committed to the third-party tax engine but the invoice failed to post, Zuora automatically detects the issue and voids the tax transaction on the vendor's side. Enum: "Complete", "Error", "UnknownError", "DuplicateDoc", "InvalidRequest", "InvalidResponse", "TaxEngineError", "ConcurrentModify", "InternalServerError", "TaxCodeTemplateError", "Voided" - `creditMemos.shipToContactSnapshotId` (string) The ID of the ship-to contact snapshot associated with the credit memo. Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `creditMemos.soldToContactSnapshotId` (string) The ID of the sold-to contact snapshot associated with the credit memo. Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `creditMemos.taxAutoCalculation` (boolean) Whether to automatically calculate taxes in the credit memo. - `creditMemos.totalAmount` (number) The total amount of the credit memo, including taxes. - `creditMemos.totalAmountWithoutTax` (number) The total amount of the credit memo, excluding taxes. - `creditMemos.totalTaxExemptAmount` (number) The calculated tax amount excluded due to the exemption. - `creditMemos.transferredToAccounting` (string) Whether the credit memo was transferred to an external accounting system. This field is used for integration with accounting systems such as NetSuite. Enum: "Processing", "Yes", "No", "Error", "Ignore" - `creditMemos.invoiceId` (string) The ID of a referred invoice. - `creditMemos.accountId` (string) The ID of the customer account associated with the credit memo. - `creditMemos.account` (object) The account associated with the credit memo. - `creditMemos.billToContact` (object) The bill-to contact on the account. - `creditMemos.creditMemoItems` (array) The credit memo items on the current credit memo. - `creditMemos.creditMemoApplications` (array) The credit memo applications associated with the current credit memo. - `debitMemos` (array) - `debitMemos.id` (string) The unique identifier of the debit memo. - `debitMemos.createdById` (string) The unique identifier of the user who created the debit memo. - `debitMemos.createdDate` (string) The date and time when the debit memo was created. - `debitMemos.updatedById` (string) The unique identifier of the user who last updated the debit memo. - `debitMemos.updatedDate` (string) The date and time when the debit memo was last updated. - `debitMemos.autoPay` (boolean) Whether debit memos are automatically picked up for processing in the corresponding payment run. By default, debit memos are automatically picked up for processing in the corresponding payment run. - `debitMemos.creditMemoId` (string,null) The ID of the credit memo from which the debit memo was created. - `debitMemos.balance` (number) The remaining balance of debit memo. - `debitMemos.billToContactId` (string) The ID of the bill-to contact associated with the debit memo. The value of this field is null if you have the [Flexible Billing Attributes](https://docs.zuora.com/en/zuora-billing/bill-your-customer/leverage-advanced-capabilities/flexible-billing/flexible-billing-attributes/overview-of-flexible-billing-attributes) feature disabled. - `debitMemos.billToContactSnapshotId` (string) The ID of the bill-to contact snapshot associated with the debit memo. The value of this field is null if the bill rule [Preserve snapshot of bill-to and sold-to contacts when billing documents are posted](https://knowledgecenter.zuora.com/Zuora_Billing/Billing_and_Invoicing/Billing_Settings/Define_Billing_Rules#Preserve_snapshot_of_bill-to_and_sold-to_contacts_when_billing_documents_are_posted) is disabled. - `debitMemos.cancelledById` (string,null) The ID of the Zuora user who cancelled the debit memo. - `debitMemos.cancelledOn` (string,null) The date and time when the debit memo was cancelled, in yyyy-mm-dd hh:mm:ss format. - `debitMemos.comments` (string) Comments about the debit memo. - `debitMemos.currency` (string,null) The currency of the debit memo. Note: By default, the currency on a billing document matches the default currency set on the associated account. However, Zuora now offers a Multiple Currencies feature to support different currencies for billing documents, allowing flexibility beyond the account-level currency. For more information, see Multiple Currency. - `debitMemos.discountAmount` (number) The amount of the discount on the debit memo. - `debitMemos.dueDate` (string) The date by which the payment for the debit memo is due, in yyyy-mm-dd format. - `debitMemos.einvoiceFileId` (string) The ID of the e-invoice file generated for the debit memo. Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled. - `debitMemos.memoDate` (string) The date when the debit memo takes effect, in yyyy-mm-dd format. For example, 2024-01-01. - `debitMemos.memoNumber` (string) The unique identification number of the debit memo. - `debitMemos.postedById` (string) The ID of the Zuora user who posted the debit memo. - `debitMemos.postedOn` (string) The date and time when the debit memo was posted, in yyyy-mm-dd hh:mm:ss format. - `debitMemos.sequenceSetId` (string,null) The ID of the sequence set associated with the debit memo. The value of this field is null if you have the [Flexible Billing Attributes](https://docs.zuora.com/en/zuora-billing/bill-your-customer/leverage-advanced-capabilities/flexible-billing/flexible-billing-attributes/overview-of-flexible-billing-attributes) feature disabled. - `debitMemos.source` (string) The source of the debit memo. Possible values: - BillRun: The debit memo is generated by a bill run. - API - ApiSubscribe: The debit memo is created by calling the [Create subscription](https://developer.zuora.com/api-references/api/operation/POST_Subscription) and [Create account](https://developer.zuora.com/api-references/api/operation/POST_Account) operation. - ApiAmend: The debit memo is created by calling the [Update subscription](https://developer.zuora.com/api-references/api/operation/PUT_Subscription) operation. - AdhocFromPrpc: The debit memo is created from a product rate plan charge through the Zuora UI or by calling the [Create a debit memo from a charge](https://developer.zuora.com/api-references/api/operation/POST_DebitMemoFromPrpc/) operation. - AdhocFromInvoice: The debit memo is created from an invoice or created by reversing an invoice. You can create a debit memo from an invoice through the Zuora UI or by calling the [Create a debit memo from an invoice](https://developer.zuora.com/api-references/api/operation/POST_DebitMemoFromInvoice/) operation. Enum: "BillRun", "API", "ApiSubscribe", "ApiAmend", "AdhocFromPrpc", "AdhocFromInvoice" - `debitMemos.sourceId` (string) The ID of the debit memo source. If a debit memo is generated from a bill run, the value is the number of the corresponding bill run. Otherwise, the value is null. - `debitMemos.sourceType` (string) The type of the debit memo source. Enum: "Subscription", "Standalone", "Order", "Consolidation", "Invoice", "CreditMemo" - `debitMemos.status` (string) The status of the debit memo. Enum: "Draft", "Posted", "Canceled", "Error", "PendingForTax", "Generating", "CancelInProgress" - `debitMemos.targetDate` (string) The target date for the debit memo, in yyyy-mm-dd format. For example, 2024-01-01. - `debitMemos.taxMessage` (string,null) The message about the status of tax calculation related to the debit memo. If tax calculation fails in one debit memo, this field displays the reason for the failure. - `debitMemos.taxStatus` (string) The status of tax calculation related to the debit memo. Note: This field is only applicable to tax calculation by third-party tax engines. Also, the Voided status indicates that the tax transaction is successfully canceled on the tax vendor's side. If a tax transaction was successfully committed to the third-party tax engine but the invoice failed to post, Zuora automatically detects the issue and voids the tax transaction on the vendor's side. Enum: "Complete", "Error", "UnknownError", "DuplicateDoc", "InvalidRequest", "InvalidResponse", "TaxEngineError", "ConcurrentModify", "InternalServerError", "TaxCodeTemplateError", "Voided" - `debitMemos.shipToContactSnapshotId` (string) The ID of the ship-to contact snapshot associated with the debit memo. Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `debitMemos.soldToContactSnapshotId` (string) The ID of the sold-to contact snapshot associated with the debit memo. Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `debitMemos.taxAutoCalculation` (boolean) Whether to automatically calculate taxes in the debit memo. - `debitMemos.totalAmount` (number) The total amount of the debit memo, including taxes. - `debitMemos.totalAmountWithoutTax` (number) The total amount of the debit memo, excluding taxes. - `debitMemos.transferredToAccounting` (string) Whether the debit memo was transferred to an external accounting system. This field is used for integration with accounting systems such as NetSuite. Enum: "Processing", "Yes", "No", "Error", "Ignore" - `debitMemos.accountId` (string) The ID of the customer account associated with the debit memo. - `debitMemos.paymentTerm` (string) The name of the payment term assoicated with the debit memo. The value of this field is null if you have the [Flexible Billing Attributes](https://docs.zuora.com/en/zuora-billing/bill-your-customer/leverage-advanced-capabilities/flexible-billing/flexible-billing-attributes/overview-of-flexible-billing-attributes) feature disabled. - `debitMemos.account` (object) The account associated with the debit memo. - `debitMemos.billToContact` (object) The bill-to contact associated with the debit memo. - `debitMemos.debitMemoItems` (array) The debit memo items associated with the debit memo. - `invoices` (array) - `invoices.id` (string) The unique identifier of the invoice. - `invoices.createdById` (string) The unique identifier of the user who created the invoice. - `invoices.createdDate` (string) The time that the invoice gets created in the system, in the YYYY-MM-DD HH:MM:SS format. - `invoices.updatedById` (string) The unique identifier of the user who last updated the invoice. - `invoices.updatedDate` (string) The time that the invoice gets updated in the system, in the YYYY-MM-DD HH:MM:SS format. - `invoices.accountId` (string) The ID of the customer account associated with the invoice. - `invoices.adjustmentAmount` (number) The amount of the invoice adjustments associated with the invoice. - `invoices.amount` (number) The total amount of the invoice. - `invoices.amountWithoutTax` (number) The invoice amount excluding tax. - `invoices.autoPay` (boolean) Whether invoices are automatically picked up for processing in the corresponding payment run. - `invoices.balance` (number) The remaining balance of the invoice after all payments, adjustments, and refunds are applied. - `invoices.billToContactId` (string) The ID of the bill-to contact associated with the invoice. - `invoices.billToContactSnapshotId` (string) The ID of the bill-to contact snapshot associated with the invoice. - `invoices.comments` (string) Comments about the invoice. - `invoices.creditBalanceAdjustmentAmount` (number) The currency amount of the adjustment applied to the customer's credit balance. Note: This field is only available if you have the Credit Balance feature enabled and the Invoice Settlement feature disabled. - `invoices.creditMemoAmount` (number) The currency amount of all credit memos applied to this invoice. Note: This field is only available if you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. - `invoices.currency` (string,null) The currency of the invoice. Note: By default, the currency on a billing document matches the default currency set on the associated account. However, Zuora now offers a Multiple Currencies feature to support different currencies for billing documents, allowing flexibility beyond the account-level currency. For more information, see Multiple Currency. - `invoices.dueDate` (string) The date by which the payment for this invoice is due, in yyyy-mm-dd format. - `invoices.includesOneTime` (boolean) Specifies whether the invoice includes one-time charges. - `invoices.includesRecurring` (boolean) Specifies whether the invoice includes recurring charges. - `invoices.includesUsage` (boolean) Specifies whether the invoice includes usage charges. - `invoices.invoiceDate` (string) The date that appears on the invoice being created. - `invoices.invoiceNumber` (string) The unique identification number of the invoice. - `invoices.lastEmailSentDate` (string) The date when the invoice was last emailed. - `invoices.organizationId` (string) ID of the organization this object belongs to. - `invoices.paymentAmount` (number) The amount of payments applied to the invoice. - `invoices.postedBy` (string) The user ID of the person who moved the invoice to Posted status. - `invoices.postedDate` (string) The date when the invoice was posted. - `invoices.refundAmount` (number) Specifies the amount of a refund that was applied against an earlier payment on the invoice. - `invoices.sequenceSetId` (string) The ID of the sequence set associated with the invoice. - `invoices.communicationProfileId` (string,null) The ID of the communication profile associated with the invoice. - `invoices.shipToContactId` (string) The ID of the ship-to contact associated with the invoice. - `invoices.shipToContactSnapshotId` (string) The ID of the ship-to contact snapshot associated with the invoice. - `invoices.soldToContactId` (string) The ID of the sold-to contact associated with the invoice. - `invoices.soldToContactSnapshotId` (string) The ID of the sold-to contact snapshot associated with the invoice. - `invoices.source` (string) The source of the invoice. Enum: "BillRun", "API", "ApiSubscribe", "ApiAmend" - `invoices.sourceId` (string) The ID of the invoice source. If an invoice is generated from a bill run, the value is the number of the corresponding bill run.Otherwise, the value is null. - `invoices.reversed` (boolean) Whether the invoice is reversed. - `invoices.sourceType` (string) The type of the invoice source. Enum: "Subscription", "Standalone", "Order", "Consolidation" - `invoices.status` (string) The status of the invoice. Enum: "Draft", "Posted" - `invoices.targetDate` (string) This date is used to determine which charges are to be billed. All charges that are to be billed on this date or prior will be included in this bill run. - `invoices.taxExemptAmount` (number) The calculated tax amount excluded due to the exemption. - `invoices.taxMessage` (string,null) The message that the tax engine return if it calculates the taxes of this invoice fails. - `invoices.taxStatus` (string) The status that the tax engine return after it calculates the taxes of this invoice. Note: The Voided status indicates that the tax transaction is successfully canceled on the tax vendor's side. If a tax transaction was successfully committed to the third-party tax engine but the invoice failed to post, Zuora automatically detects the issue and voids the tax transaction on the vendor's side. Enum: "Complete", "Error", "UnknownError", "DuplicateDoc", "InvalidRequest", "InvalidResponse", "TaxEngineError", "ConcurrentModify", "InternalServerError", "TaxCodeTemplateError", "Voided" - `invoices.templateId` (string) The ID of the invoice template. - If you have the Flexible Billing Attributes feature enabled, the value of this field depends on the configuration of the invoice template. - If you specify an invoice template at the subscription level, the value of this field is automatically populated from the corresponding subscription. - If you do not specify any invoice template at the subscription level, the value of this field is automatically populated from the corresponding account. - If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `invoices.transferredToAccounting` (string) Whether the invoice was transferred to an external accounting system. Enum: "Processing", "Error", "Ignore", "Yes", "No" - `invoices.eInvoiceStatus` (string) It could be Processing, RetrieveTimeOut, Generated, Success, ConditionalSuccess, ApprovedByAuthority, Failed, or Rejected. If it’s Failed, it will have an error code and message. If it’s Generated or Success, both error code and message are empty, and eInvoiceFileId stores the file id of e-invoice. Enum: "Processing", "RetrieveTimeOut", "Generated", "Success", "Failed", "ConditionalSuccess", "ApprovedByAuthority", "Rejected" - `invoices.eInvoiceFileId` (string) The ID of the e-invoice file. - `invoices.eInvoiceErrorCode` (string) The error code when status is Failed. This code can either be a Zuora-generated error code or one returned by a third-party e-invoice vendor. - `invoices.eInvoiceErrorMessage` (string) The error message when status is "Failed". This message can either be a Zuora-generated error code or one returned by a third-party e-invoice vendor. - `invoices.paymentLink` (string) A link to the Payment Link page where the customer can pay the invoice. The link is generated only if the invoice is posted after enabling the Payment Link feature on your tenant. Note: The Payment Link feature is in the Early Adopter phase. You can enable the Payment Link feature through a self-service configuration in the Manage Features setting for Zuora Payments. - `invoices.paymentTerm` (string) The payment term associated with the invoice. For example, Net 30. The payment term determines the due dates of invoices. - `invoices.account` (object) The account associated with the invoice. - `invoices.billToContact` (object) The bill-to contact who pays the invoice. - `usages` (array) - `usages.id` (string) The unique identifier of the usage. - `usages.createdById` (string) The unique identifier of the user who created the usage. - `usages.createdDate` (string) The date and time when the usage was created. - `usages.updatedById` (string) The unique identifier of the user who last updated the usage. - `usages.updatedDate` (string) The date and time when the usage was last updated. - `usages.accountId` (string) The ID of the customer account associated with the usage. - `usages.accountNumber` (string) The number of the customer account associated with the usage. - `usages.ratePlanChargeId` (string) ID of the rate plan charge that pays for this usage. - `usages.endDateTime` (string) End date of the time period in which usage is tracked. Zuora uses this field value to determine the usage date. - `usages.productRatePlanChargeId` (string) The product rate plan charge number that you use for a dynamic usage charge. - `usages.quantity` (number) Number of units used. - `usages.rbeStatus` (string) Indicates if the rating and billing engine (RBE) processed usage data for an invoice. Enum: "Importing", "Pending", "Processed" - `usages.sourceType` (string) Indicates if the usage records were imported from the web-based UI or the API. Enum: "API", "Import" - `usages.startDateTime` (string) Start date of the time period in which usage is tracked. Zuora uses this field value to determine the usage date. - `usages.subscriptionId` (string) The original ID of the subscription that contains the fees related to the usage data. - `usages.submissionDateTime` (string) The date and time when the usage was submitted. - `usages.uOM` (string) The units to measure usage. Units of measure are configured in the web-based UI. Your values depend on your configuration in Billing Settings. - `usages.description` (string) A description of the usage record. - `usages.importId` (string) The unique identifier of the import. - `usages.uniqueKey` (string) a customer-defined specific identifier of a usage record. Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature or the Unbilled Usage feature enabled. See [Upload usage record with unique key](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Prepaid_balance_transactions#Upload_usage_record_with_unique_key) for more information. - `usages.fileId` (string) File ID of the uploaded usage records file. You can use this file ID with [Get files](https://developer.zuora.com/api-references/api/operation/GET_Files) to download the file. - `usages.fileName` (string) The name of the import file when the usage record is imported from the file. - `usages.account` (object) The account associated with the usage. - `paymentMethods` (array) ## Response 500 fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request. ## Response 4XX fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request.